# AOC2260

EDID readings:
Plug and Play ID: AOC2260 [VESA standard monitor]
Input type: Digital

Tested on displays:

* G2260VWQ6

## Capabilities

```
Raw output: (prot(monitor)type(lcd)model(G2260VWQ6)cmds(010203070C4EF3E3)vcp(020405080B0C101214(010506080B)16181A6C6E70ACAEB6C0C6C8C9CACC(0102030405060708090A0B0D1214161E)D6(0104)DF60(0111)628D(0102)FF)mswhql(1)mccs_ver(2.1)asset_eep(32)mpu_ver(01))
Parsed output:
VCP: 02 04 05 08 0b 0c 10 12 14 16 18 1a 60 62 6c 6e 70 8d ac ae b6 c0 c6 c8 c9 ca cc d6 df ff
Type: LCD
```

## Controls

GUI test:

* **OK** - works fine from GUI,
* **OK, FB** - works, but uses some kind of automatic fallback.
* **OK, RO** - works, but in **r**ead**o**nly mode (doesn't set the value)

Table shows detected controls for AOC G2260VWQ6:

| Control | valid/current/max | CMD test | GUI test | Description                              |
| ------- | ----------------- | -------- | -------- | ---------------------------------------- |
| 0x02    | +/255/255         |          |          | ???                                      |
| 0x04    | +/0/1             |          | OK       | Restore Factory Defaults                 |
| 0x05    | +/0/1             |          | OK       | Restore Brightness and Contrast          |
| 0x08    | +/0/1             |          | OK       | Restore Factory Default Color            |
| 0x0b    | +/50/65535        |          |          | ???                                      |
| 0x0c    | +/70/126          |          |          | ???                                      |
| 0x10    | +/29/100          |          | OK       | Brightness                               |
| 0x12    | +/50/100          |          | OK       | Contrast                                 |
| 0x14    | +/11/11           |          | OK       | Color preset (01 - sRGB, 05 - warm, 06 - normal, 08 - cool, 0B - user) |
| 0x16    | +/50/100          |          | OK       | Red maximum level                        |
| 0x18    | +/49/100          |          | OK       | Green maximum level                      |
| 0x1a    | +/49/100          |          | OK       | Blue maximum level                       |
| 0x52    | +/0/255 [???      |          |          |                                          |
| 0x60    | +/4/3             | OK       | OK, FB   | Input Source Select (01 - D-SUB, 03 - HDMI, 04 - DisplayPort). Falls back to connected input. |
| 0x62    | +/48/100          | OK       | OK       | Audio Speaker Volume Adjust              |
| 0x6c    | +/50/100          |          | OK       | Red minimum level                        |
| 0x6e    | +/50/100          |          | OK       | Green minimum level                      |
| 0x70    | +/50/100          |          | OK       | Blue minimum level                       |
| 0x8d    | +/2/2             |          |          | ???                                      |
| 0xac    | +/1964/65281      |          |          | ???                                      |
| 0xae    | +/5970/65535      |          |          | ???                                      |
| 0xb2    | +/1/8 [???        |          |          |                                          |
| 0xb6    | +/3/4             |          |          | ???                                      |
| 0xc0    | +/600/65535       |          |          | ???                                      |
| 0xc6    | +/111/65535       |          |          | ???                                      |
| 0xc8    | +/18/65535        |          |          | ???                                      |
| 0xc9    | +/6/65535         |          |          | ???                                      |
| 0xca    | +/2/2             |          |          | ???                                      |
| 0xcc    | +/2/255           | OK - RO  | OK - RO  | Language select                          |
| 0xd6    | +/1/4             |          | OK       | DPMS Control - On                        |
| 0xdc    | +/4/8 [???        |          |          |                                          |
| 0xdf    | +/513/65535       |          |          | ???                                      |
| 0xf8    | +/0/255 [???      |          |          |                                          |
| 0xfe    | +/0/255 [???      |          |          |                                          |
| 0xff    | +/0/1             |          |          | ???                                      |

